<?php
global $wpdb;
global $postid;

$wpcf7 = WPCF7_ContactForm::get_current();
$submission = WPCF7_Submission::get_instance();
$userEmail = '';
$userMobile = '';
$description = '';
$userPrice = '';

if ($submission) {

    $postData = $submission->get_posted_data();
    $userEmail = isset($postData['user_email']) ? $postData['user_email'] : "";
    $userMobile = isset($postData['user_mobile']) ? $postData['user_mobile'] : "";
    $description = isset($postData['description']) ? $postData['description'] : "";
    $userPrice = isset($postData['user_price']) ? $postData['user_price'] : "";
}

$price = get_post_meta($postid, "_cf7pp_price", true);
if ($price == "") {

    $price = $userPrice;
}

$options = get_option('cf7pp_options');
$optionValues = [];
foreach ($options as $k => $v) {

    $optionValues[$k] = $v;
}

$apiKey = $optionValues['gateway_api_key'];
$callbackUrl = $optionValues['return'];

// Set Data -> Table Transactions_ContactForm7
$table_name = $wpdb->prefix . NOVINPAL_CF_TABLE_NAME;
$data = array();
$data['form_id'] = $postid;
$data['transaction_id'] = ''; // create dynamic or id_get
$data['gateway'] = 'NovinPal'; // name gateway
$data['cost'] = $price;
$data['created_at'] = time();
$data['email'] = $userEmail;
$data['user_mobile'] = $userMobile;
$data['description'] = $description;
$data['status'] = 'none';
$format = array('%d', '%s', '%s', '%d', '%d', '%s', '%s', '%s', '%s');

$amount = $price * 10; //Amount will be based on Rial - Required
$email = $userEmail; // Optional
$mobile = $userMobile; // Optional
$callbackURL = get_site_url() . '/' . $callbackUrl; // Required

$strMobile = (string)$mobile;

if (strlen($strMobile) == 0) {

    $strMobile = '0';
}

require_once plugin_dir_path(__FILE__) . 'lib/Novinpal.php';

$novinpal = new NovinpalCF($apiKey);
$result = $novinpal->request(
    $amount,
    $callbackURL,
    novinpal_cf_get_order_id(),
    $description,
    $strMobile
);

if ($result['status'] == NovinpalCF::NOVINPAL_STATUS_EMPTY_CF) {

    echo "cURL Error #:";
}
else if ($result['status'] == NovinpalCF::NOVINPAL_STATUS_SUCCESS_CF) {

    $refId = $result['data']['refId'];
    $data['transaction_id'] = $refId;
    $wpdb->insert($table_name, $data, $format);
    $novinpal->start($refId);
}
else {

    $tmp = 'خطا در ارسال اطلاعات به نوین پال کد خطا: ' . '<br>Error:' . (!empty($result['data']['errorCode']) ? $result['data']['errorCode'] : 'نا مشخص') . '<br>';
    $tmp .= '<a href="' . get_option('siteurl') . '" class="mrbtn_red" > بازگشت به سایت </a>';
    echo CreatePage_cf7('خطا در عملیات پرداخت', $tmp);
}

function novinpal_cf_get_order_id () {

    global $wpdb;

    $transaction = $wpdb->get_row("SELECT id FROM ". $wpdb->prefix . NOVINPAL_CF_TABLE_NAME ." ORDER BY id DESC LIMIT 1");

    if (empty($transaction)) {

        return "1";
    }

    return strval((intval($transaction->id) + 1));
}

